// $Id: MicrosolFDC.hh,v 1.8 2004/10/19 19:47:44 m9710797 Exp $

#ifndef __BRAZILFDC_HH__
#define __BRAZILFDC_HH__

#include "WD2793BasedFDC.hh"

namespace openmsx {

class MicrosolFDC : public WD2793BasedFDC
{
public:
	MicrosolFDC(const XMLElement& config, const EmuTime& time);
	virtual ~MicrosolFDC();
	
	virtual byte readIO(byte port, const EmuTime& time);
	virtual byte peekIO(byte port, const EmuTime& time) const;
	virtual void writeIO(byte port, byte value, const EmuTime& time);

private:
	byte driveD4;
};

} // namespace openmsx
#endif
